> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve bank account

> Verifies the bank account and returns the bank account details



## OpenAPI

````yaml post /bank/resolve
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /bank/resolve:
    post:
      summary: Resolve bank account
      description: Verifies the bank account and returns the bank account details
      operationId: resolveBankAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                accountNumber:
                  type: string
                  description: The account number.
                bankCode:
                  type: string
                  description: The bank code.
              required:
                - accountNumber
                - bankCode
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      responsemessage:
                        type: string
                      responsecode:
                        type: string
                      uniquereference:
                        type: string
                      internalreference:
                        type: string
                      accountname:
                        type: string
                      accountnumber:
                        type: string
                      phonenumber:
                        type: string
                      currency:
                        type: string
                      country:
                        type: string
                      code:
                        type: string
                      name:
                        type: string
                      is_visible:
                        type: string
                      is_trashed:
                        type: string
                      deleted_at:
                        type: string
                      created_at:
                        type: string
                      updated_at:
                        type: string

````